// Rounded box template
// 
// Designed by SOC Robotics, Inc.
// (c) Copyright 2016 SOC Robotics, Inc.  All rights reserved.
// Free to use but not for resell.
// Version: 1.00  Released March 31, 2016
// Designed using openSCAD version 2015.03-2

module rounded_box(length,wid,hght,c_rad,wall_thick) {
    $fn=50;
    difference() { 
    hull() {
        translate([c_rad,c_rad,0]) cylinder(h=hght,r=c_rad);
        translate([length-c_rad,c_rad,0]) cylinder(h=hght,r=c_rad);
        translate([length-c_rad,wid-c_rad,0]) cylinder(h=hght,r=c_rad);
        translate([c_rad,wid-c_rad,0]) cylinder(h=hght,r=c_rad);
        }
    hull() {
        translate([c_rad+wall_thick,c_rad+wall_thick,wall_thick]) cylinder(h=hght,r=c_rad);
        translate([length-c_rad-wall_thick,c_rad+wall_thick,wall_thick]) cylinder(h=hght,r=c_rad);
        translate([length-c_rad-wall_thick,wid-c_rad-wall_thick,wall_thick]) cylinder(h=hght,r=c_rad);
        translate([c_rad+wall_thick,wid-c_rad-wall_thick,wall_thick]) cylinder(h=hght,r=c_rad);
        }
    }
}

rounded_box(10,5,2,0.9,0.3);
